﻿using UnityEngine;
using System.Collections;

public class BounceInPlace : MonoBehaviour {

    public float zSpeed;
    public float variance;
    private float startingZ;

    void Start()
    {
        startingZ = gameObject.transform.position.z;
    }

    void Update()
    {
        if ((gameObject.transform.position.z >= startingZ + variance) || (gameObject.transform.position.z <= startingZ - variance))
        {
            zSpeed = -zSpeed;
        }
        GetComponent<Rigidbody>().velocity = new Vector3(0, 0, 1 * zSpeed);
    }
}
