﻿using UnityEngine;
using System.Collections;

public class AudioController : MonoBehaviour
{

    public AudioSource mainMusic;
    public AudioSource problemMusic;

    void Start()
    {
        //mainMusic.volume = 0.0f;
        mainMusic.Play();
        StartCoroutine(fadeOutMain());
    }

    IEnumerator fadeInMain()
    {
        float t = 0.0f;
        while (t < 1.0f)
        {
            t += Time.deltaTime;
            mainMusic.volume = t;
            yield return null;
        }
    }

    IEnumerator fadeOutMain()
    {
        float t = 1.0f;
        while (t > 0.0f)
        {
            t -= Time.deltaTime;
            mainMusic.volume = t;
            yield return null;
        }
    }
}